This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 888396 - Edit pool - Prestarted VMs - slowdown
Edit pool - Prestarted VMs - slowdown
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.2.0
Unspecified Unspecified
unspecified Severity high
: ---
: 3.2.0
Assigned To: Arik
Jiri Belka
virt
:
Depends On:
Blocks: 915537
  Show dependency treegraph
 
Reported: 2012-12-18 11:08 EST by Jiri Belka
Modified: 2013-06-11 04:25 EDT (History)
10 users (show)

See Also:
Fixed In Version: sf7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 11636 None None None Never
oVirt gerrit 11637 None None None Never

  None (edit)
Description Jiri Belka 2012-12-18 11:08:35 EST
Description of problem:

When creating new pool, waiting a while so VMs are created, editing pool to define number of prestarted VMs, then it takes some time to make them running. According to tjelink@ it is VmPoolMonitor interval. My (default) VmPoolMonitorIntervalInMinutes is 5 minutes and I have to wait... Make it to trigger the action immediatelly for newly edited pool or let the user know in documentation about this slowdown.

Version-Release number of selected component (if applicable):
25.1

How reproducible:
100%

Steps to Reproduce:
1. new pool
2. edit pool (when previous task is done)
3. wait...
  
Actual results:
Have to wait for next trigger of VmPoolMonitor to start my VMs.

Expected results:
Have my prestarted VMs up ASAP when possible or let me know I have to wait.

Additional info:

2012-Dec-18, 16:54
VM test_pool-3 was restarted on Host dell-r210ii-04

2012-Dec-18, 16:54
VM test_pool-2 was restarted on Host dell-r210ii-04

2012-Dec-18, 16:54
VM test_pool-1 was restarted on Host dell-r210ii-04

2012-Dec-18, 16:53
VM test_pool-3 was restarted on Host <UNKNOWN>

2012-Dec-18, 16:53
VM test_pool-2 was restarted on Host <UNKNOWN>

2012-Dec-18, 16:53
VM test_pool-1 was restarted on Host <UNKNOWN>

2012-Dec-18, 16:51
VM Pool test_pool was updated by admin@internal, 0 VMs were added.

2012-Dec-18, 16:50
VM test_pool-5 creation has been completed.


[root@jb-rh31 ~]# rhevm-config -a | egrep -i "pool.*interval"
VmPoolMonitorIntervalInMinutes: 5 version: general
Comment 1 Simon Grinberg 2012-12-26 07:45:53 EST
Required behavior: 
The VMs should start immediately when setting the pre-started number

VmPoolMonitor should be the mechanism to grantee that if VMs where consumed, to pre-start other.
Comment 3 Jiri Belka 2013-02-14 09:38:55 EST
OK, sf7.

2013-Feb-14, 15:30
VM testpool-2 was restarted on Host <UNKNOWN>
	
2013-Feb-14, 15:30
VM testpool-1 was restarted on Host <UNKNOWN>
	
2013-Feb-14, 15:30
VM Pool testpool was updated by admin@internal, 0 VMs were added.
Comment 4 Itamar Heim 2013-06-11 04:23:07 EDT
3.2 has been released
Comment 5 Itamar Heim 2013-06-11 04:25:02 EDT
3.2 has been released

Note You need to log in before you can comment on or make changes to this bug.